diff --git a/ldap/servers/slapd/main.c b/ldap/servers/slapd/main.c
index e9e5ab9..4b77fbb 100644
--- a/ldap/servers/slapd/main.c
+++ b/ldap/servers/slapd/main.c
@@ -94,10 +94,10 @@ static int init_cmd_shutdown_detect(void)
     int rc;
     sigset_t proc_mask;
 
-    LDAPDebug( LDAP_DEBUG_TRACE, "Reseting signal mask....\n", 0, 0, 0);
+    LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "Reseting signal mask....\n", 0, 0, 0);
     (void)sigemptyset( &proc_mask );
     rc = pthread_sigmask( SIG_SETMASK, &proc_mask, NULL );
-    LDAPDebug( LDAP_DEBUG_TRACE, " %s \n",
+    LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, " %s \n",
                rc ? "Failed to reset signal mask":"....Done (signal mask reset)!!", 0, 0 );
   }
 
@@ -182,14 +182,14 @@ chown_dir_files(char *name, struct passwd *pw, PRBool strip_fn, PRBool both)
   {
     if((ptr=strrchr(log,'/'))==NULL)
     {
-      LDAPDebug(LDAP_DEBUG_ANY, "Caution changing ownership of ./%s \n",name,0,0);
+      LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "Caution changing ownership of ./%s \n",name,0,0);
       if(slapd_chown_if_not_owner(log, pw->pw_uid, -1 )){
-          LDAPDebug(LDAP_DEBUG_ANY, "chown_dir_files: file (%s) chown failed (%d) %s.\n",
+          LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "chown_dir_files: file (%s) chown failed (%d) %s.\n",
                   log, errno, slapd_system_strerror(errno));
       }
       rc=1;
     } else if(log==ptr) {
-      LDAPDebug(LDAP_DEBUG_ANY, "Caution changing ownership of / directory and its contents to %s\n",pw->pw_name,0,0);
+      LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "Caution changing ownership of / directory and its contents to %s\n",pw->pw_name,0,0);
       *(++ptr)='\0';
     } else {
       *ptr='\0';
@@ -207,7 +207,7 @@ chown_dir_files(char *name, struct passwd *pw, PRBool strip_fn, PRBool both)
         gid = -1;
       }
       if(slapd_chown_if_not_owner( file, pw->pw_uid, gid )){
-        LDAPDebug(LDAP_DEBUG_ANY, "chown_dir_files: file (%s) chown failed (%d) %s.\n",
+        LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "chown_dir_files: file (%s) chown failed (%d) %s.\n",
                   file, errno, slapd_system_strerror(errno));
       }
     }
@@ -228,7 +228,7 @@ fix_ownership(void)
 	slapdFrontendConfig_t *slapdFrontendConfig = getFrontendConfig();
 
 	if (slapdFrontendConfig->localuser == NULL) {
-		LDAPDebug(LDAP_DEBUG_ANY, 
+		LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, 
 			"Local user missing from frontend configuration\n",
 			0, 0, 0);
 		return; 
@@ -237,7 +237,7 @@ fix_ownership(void)
 	if (slapdFrontendConfig->localuserinfo == NULL) {
 		pw = getpwnam( slapdFrontendConfig->localuser );
 		if ( NULL == pw ) {
-			LDAPDebug(LDAP_DEBUG_ANY, 
+			LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, 
 				"Unable to find user %s in system account database, "
 				"errno %d (%s)\n",
 				slapdFrontendConfig->localuser, errno, strerror(errno));
@@ -283,20 +283,20 @@ static int main_setuid(char *username)
 	    if (pw == NULL) {
 		int oserr = errno;
 
-		LDAPDebug (LDAP_DEBUG_ANY, "getpwnam(%s) == NULL, error %d (%s)\n",
+		LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "getpwnam(%s) == NULL, error %d (%s)\n",
 			   username, oserr, slapd_system_strerror(oserr));
 	    } else {
 		if (setgid (pw->pw_gid) != 0) {
 		    int oserr = errno;
 
-		    LDAPDebug (LDAP_DEBUG_ANY, "setgid(%li) != 0, error %d (%s)\n",
+		    LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "setgid(%li) != 0, error %d (%s)\n",
 			       (long)pw->pw_gid, oserr, slapd_system_strerror(oserr));
 			return -1;
 		}
 		if (setuid (pw->pw_uid) != 0) {
 		    int oserr = errno;
 
-		    LDAPDebug (LDAP_DEBUG_ANY, "setuid(%li) != 0, error %d (%s)\n",
+		    LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "setuid(%li) != 0, error %d (%s)\n",
 			       (long)pw->pw_uid, oserr, slapd_system_strerror(oserr));
 			return -1;
 		}
@@ -757,7 +757,7 @@ main( int argc, char **argv)
 		/* do it before splitting off to other modes too -robey */
 		/* -richm: must be done before reading config files */
 		if (0 != (return_value = compute_init())) {
-			LDAPDebug(LDAP_DEBUG_ANY, "Initialization Failed 0 %d\n",return_value,0,0);
+			LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "Initialization Failed 0 %d\n",return_value,0,0);
 			exit (1);
 		}
 		entry_computed_attr_init();
@@ -777,7 +777,7 @@ main( int argc, char **argv)
 
 #ifdef PUMPKIN_HOUR
 	if ( time( NULL ) > (PUMPKIN_HOUR - 10) ) {
-		LDAPDebug( LDAP_DEBUG_ANY,
+		LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
 		"ERROR: ** This beta software has expired **\n", 0, 0, 0 );
 		exit( 1 );
 	}
@@ -842,7 +842,7 @@ main( int argc, char **argv)
 
 		return_value = daemon_pre_setuid_init(&ports_info);
 		if (0 != return_value) {
-			LDAPDebug( LDAP_DEBUG_ANY, "Failed to init daemon\n",
+			LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "Failed to init daemon\n",
 				   0, 0, 0 );
 			exit(1);
 		}
@@ -851,7 +851,7 @@ main( int argc, char **argv)
 	/* Now, sockets are open, so we can safely change identity now */
 	return_value = main_setuid(slapdFrontendConfig->localuser);
 	if (0 != return_value) {
-		LDAPDebug( LDAP_DEBUG_ANY, "Failed to change user and group identity to that of %s\n",
+		LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "Failed to change user and group identity to that of %s\n",
 				   slapdFrontendConfig->localuser, 0, 0 );
 		exit(1);
 	}
@@ -899,7 +899,7 @@ main( int argc, char **argv)
 	case SLAPD_EXEMODE_REFERRAL:
 		/* check that all the necessary info was given, then go on */
 		if (! config_check_referral_mode()) {
-			LDAPDebug(LDAP_DEBUG_ANY,
+			LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
 				  "ERROR: No referral URL supplied\n", 0, 0, 0);
 			usage( myname, extraname );
 			exit(1);
@@ -937,12 +937,12 @@ main( int argc, char **argv)
 
 		/* Ensure that we can read from and write to our rundir */
 		if (access(rundir, R_OK | W_OK)) {
-			LDAPDebug(LDAP_DEBUG_ANY, "Unable to access " CONFIG_RUNDIR_ATTRIBUTE ": %s\n",
+			LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "Unable to access " CONFIG_RUNDIR_ATTRIBUTE ": %s\n",
 				slapd_system_strerror(errno), 0, 0);
-			LDAPDebug(LDAP_DEBUG_ANY, "Ensure that user \"%s\" has read and write "
+			LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "Ensure that user \"%s\" has read and write "
 				"permissions on %s\n",
 				slapdFrontendConfig->localuser, rundir, 0);
-			LDAPDebug(LDAP_DEBUG_ANY, "Shutting down.\n", 0, 0, 0);
+			LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "Shutting down.\n", 0, 0, 0);
 			slapi_ch_free_string(&rundir);
 			return_value = 1;
 			goto cleanup;
@@ -988,7 +988,7 @@ main( int argc, char **argv)
 	if ((slapd_exemode != SLAPD_EXEMODE_REFERRAL) &&
 		( add_new_slapd_process(slapd_exemode, db2ldif_dump_replica,
 					skip_db_protect_check) == -1 ))  {
- 		LDAPDebug( LDAP_DEBUG_ANY, 
+ 		LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, 
 				"Shutting down due to possible conflicts with other slapd processes\n",
 				0, 0, 0 );
 		return_value = 1;
@@ -1004,7 +1004,7 @@ main( int argc, char **argv)
 	if (1) {
 	  char *versionstring = config_get_versionstring();
 	  char *buildnum = config_get_buildnum();
-	  LDAPDebug( LDAP_DEBUG_ANY, "%s B%s starting up\n",
+	  LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "%s B%s starting up\n",
 			 versionstring, buildnum, 0 );
 	  slapi_ch_free((void **)&buildnum);
 	  slapi_ch_free((void **)&versionstring);
@@ -1032,7 +1032,7 @@ main( int argc, char **argv)
 
 		if (mapping_tree_init())
 		{
-			LDAPDebug( LDAP_DEBUG_ANY, "Failed to init mapping tree\n",
+			LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "Failed to init mapping tree\n",
 				0, 0, 0 );
 			return_value = 1;
 			goto cleanup;
@@ -1047,7 +1047,7 @@ main( int argc, char **argv)
 		slapi_sdn_free (&sdn);
 		if (rc != UID_SUCCESS)
 		{
-			LDAPDebug( LDAP_DEBUG_ANY,
+			LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
 				"Fatal Error---Failed to initialize uniqueid generator; error = %d. "
 				"Exiting now.\n", rc, 0, 0 );
 			return_value = 1;
@@ -1057,11 +1057,11 @@ main( int argc, char **argv)
 		/* --ugaston: register the start-tls plugin */
 		if ( slapd_security_library_is_initialized() != 0 ) {
 			start_tls_register_plugin();
-			LDAPDebug( LDAP_DEBUG_PLUGIN, "Start TLS plugin registered.\n",
+			LDAPDebug(LDAP_DEBUG_PLUGIN, LOG_DEBUG, "Start TLS plugin registered.\n",
 				0, 0, 0 );
 		} 
 		passwd_modify_register_plugin();
-		LDAPDebug( LDAP_DEBUG_PLUGIN, 
+		LDAPDebug(LDAP_DEBUG_PLUGIN, LOG_DEBUG, 
 					"Password Modify plugin registered.\n", 0, 0, 0 );
 
 		/* Cleanup old tasks that may still be in the DSE from a previous 
@@ -1107,7 +1107,7 @@ main( int argc, char **argv)
 		} else if (i_port) {
 		} else if ( config_get_security()) {
 		} else {
-			LDAPDebug( LDAP_DEBUG_ANY,
+			LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
                                 "Fatal Error---No ports specified. "
                                 "Exiting now.\n", 0, 0, 0 );
 			
@@ -1125,7 +1125,7 @@ main( int argc, char **argv)
 		pw_init();
 		/* Initialize the sasl mapping code */
 		if (sasl_map_init()) {
-			LDAPDebug( LDAP_DEBUG_ANY, "Failed to initialize sasl mapping code\n", 0, 0, 0 );
+			LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "Failed to initialize sasl mapping code\n", 0, 0, 0 );
 		}
 	}
 
@@ -1148,7 +1148,7 @@ main( int argc, char **argv)
 		time( &starttime );
 		slapd_daemon(&ports_info);
 	}
- 	LDAPDebug( LDAP_DEBUG_ANY, "slapd stopped.\n", 0, 0, 0 );
+ 	LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "slapd stopped.\n", 0, 0, 0 );
 	reslimit_cleanup();
 	compute_terminate();
 	vattr_cleanup();
@@ -2012,7 +2012,7 @@ slapd_exemode_ldif2db(void)
     slapdFrontendConfig_t *slapdFrontendConfig = getFrontendConfig();
 
     if ( ldif_file == NULL ) {
-        LDAPDebug( LDAP_DEBUG_ANY,
+        LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
                    "ERROR: Required argument -i <ldiffile> missing\n",
                    0, 0, 0 );
         usage( myname, extraname );
@@ -2034,7 +2034,7 @@ slapd_exemode_ldif2db(void)
 
 		if (lookup_instance_name_by_suffixes(db2ldif_include, db2ldif_exclude,
 													&instances) < 0) {
-			LDAPDebug(LDAP_DEBUG_ANY, 
+			LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, 
 				"ERROR: backend instances name [-n <name>] or "
 				"included suffix [-s <suffix>] need to be specified.\n",
 				0, 0, 0);
@@ -2046,26 +2046,26 @@ slapd_exemode_ldif2db(void)
 				;
 
 			if (counter == 0) {
-				LDAPDebug(LDAP_DEBUG_ANY, 
+				LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, 
 					"ERROR 1: There is no backend instance to import to.\n",
 					0, 0, 0);
 				return 1;
 			} else if (counter > 1) {
 				int i;
-				LDAPDebug(LDAP_DEBUG_ANY, 
+				LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, 
 					"ERROR: There are multiple backend instances specified:\n",
 					0, 0, 0);
 				for (i = 0; i < counter; i++)
-					LDAPDebug(LDAP_DEBUG_ANY, "     : %s\n",
+					LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "     : %s\n",
 											  instances[i], 0, 0);
         		return 1;
 			} else {
-				LDAPDebug(LDAP_DEBUG_ANY, "Backend Instance: %s\n",
+				LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "Backend Instance: %s\n",
 					*instances, 0, 0);
 				cmd_line_instance_name = *instances;
 			}
 		} else {
-			LDAPDebug(LDAP_DEBUG_ANY, 
+			LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, 
 				"ERROR 2: There is no backend instance to import to.\n",
 				0, 0, 0);
 			return 1;
@@ -2074,7 +2074,7 @@ slapd_exemode_ldif2db(void)
 
     plugin = lookup_plugin_by_instance_name(cmd_line_instance_name);
     if (plugin == NULL) {
-        LDAPDebug(LDAP_DEBUG_ANY, 
+        LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, 
                   "ERROR: Could not find backend '%s'.\n",
                   cmd_line_instance_name, 0, 0);
         return 1;
@@ -2087,14 +2087,14 @@ slapd_exemode_ldif2db(void)
     if ( add_new_slapd_process(slapd_exemode, db2ldif_dump_replica,
                                skip_db_protect_check) == -1 )  {
 
-        LDAPDebug( LDAP_DEBUG_ANY, 
+        LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, 
                    "Shutting down due to possible conflicts with other slapd processes\n",
                    0, 0, 0 );
         return 1;
     }
     /* check for slapi v2 support */
     if (! SLAPI_PLUGIN_IS_V2(plugin)) {
-        LDAPDebug(LDAP_DEBUG_ANY, "ERROR: %s is too old to reindex all.\n",
+        LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "ERROR: %s is too old to reindex all.\n",
                   plugin->plg_name, 0, 0);
         return 1;
     }
@@ -2121,7 +2121,7 @@ slapd_exemode_ldif2db(void)
     if ( plugin->plg_ldif2db != NULL ) {
         return_value = (*plugin->plg_ldif2db)( &pb );
     } else {
-        LDAPDebug( LDAP_DEBUG_ANY,
+        LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
                    "ERROR: no ldif2db function defined for "
                    "%s\n", plugin->plg_name, 0, 0 );
         return_value = -1;
@@ -2157,7 +2157,7 @@ slapd_exemode_db2ldif(int argc, char** argv)
 
 		if (lookup_instance_name_by_suffixes(db2ldif_include, db2ldif_exclude,
 													&instances) < 0) {
-			LDAPDebug(LDAP_DEBUG_ANY, 
+			LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, 
 				"ERROR: backend instances name [-n <name>] or "
 				"included suffix [-s <suffix>] need to be specified.\n",
 				0, 0, 0);
@@ -2169,19 +2169,19 @@ slapd_exemode_db2ldif(int argc, char** argv)
 				;
 
 			if (counter == 0) {
-				LDAPDebug(LDAP_DEBUG_ANY, 
+				LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, 
 					"ERROR 1: There is no backend instance to export from.\n",
 					0, 0, 0);
 				return 1;
 			} else {
-				LDAPDebug(LDAP_DEBUG_ANY, "Backend Instance(s): \n", 0, 0, 0);
+				LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "Backend Instance(s): \n", 0, 0, 0);
 				for (ip = instances, counter = 0; ip && *ip; ip++, counter++) {
-					LDAPDebug(LDAP_DEBUG_ANY, "\t%s\n", *ip, 0, 0);
+					LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "\t%s\n", *ip, 0, 0);
 				}
 				cmd_line_instance_names = instances;
 			}
 		} else {
-			LDAPDebug(LDAP_DEBUG_ANY, 
+			LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, 
 				"ERROR 2: There is no backend instance to export from.\n",
 				0, 0, 0);
 			return 1;
@@ -2196,14 +2196,14 @@ slapd_exemode_db2ldif(int argc, char** argv)
 
 	    plugin = lookup_plugin_by_instance_name(*instp);
 	    if (plugin == NULL) {
-	        LDAPDebug(LDAP_DEBUG_ANY, 
+	        LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, 
 	                  "ERROR: Could not find backend '%s'.\n", 
 	                  *instp, 0, 0);
 	        return 1;
 	    }
 	
 		if (plugin->plg_db2ldif == NULL) {
-			LDAPDebug(LDAP_DEBUG_ANY, "ERROR: no db2ldif function defined for "
+			LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "ERROR: no db2ldif function defined for "
 					  "backend %s - cannot export\n", *instp, 0, 0);
 			return 1;
 		}
@@ -2214,7 +2214,7 @@ slapd_exemode_db2ldif(int argc, char** argv)
 	     */
 	    if ( add_new_slapd_process(slapd_exemode, db2ldif_dump_replica,
 								   skip_db_protect_check) == -1 )  {
-	        LDAPDebug( LDAP_DEBUG_ANY, 
+	        LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, 
 	                   "Shutting down due to possible conflicts "
 					   "with other slapd processes\n",
 	                   0, 0, 0 );
@@ -2222,7 +2222,7 @@ slapd_exemode_db2ldif(int argc, char** argv)
 	    }
 	
 	    if (! (SLAPI_PLUGIN_IS_V2(plugin))) {
-	        LDAPDebug(LDAP_DEBUG_ANY, "ERROR: %s is too old to do exports.\n",
+	        LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "ERROR: %s is too old to do exports.\n",
 	                  plugin->plg_name, 0, 0);
 	        return 1;
 	    }
@@ -2374,7 +2374,7 @@ static int slapd_exemode_db2index(void)
 
         if (lookup_instance_name_by_suffixes(db2ldif_include, db2ldif_exclude,
                                              &instances) < 0) {
-            LDAPDebug(LDAP_DEBUG_ANY, 
+            LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, 
                       "ERROR: backend instances name [-n <name>] or "
                       "included suffix [-s <suffix>] need to be specified.\n",
                       0, 0, 0);
@@ -2386,26 +2386,26 @@ static int slapd_exemode_db2index(void)
                 ;
 
             if (counter == 0) {
-                LDAPDebug(LDAP_DEBUG_ANY, 
+                LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, 
                           "ERROR 1: There is no backend instance to import to.\n",
                           0, 0, 0);
                 return 1;
             } else if (counter > 1) {
                 int i;
-                LDAPDebug(LDAP_DEBUG_ANY, 
+                LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, 
                           "ERROR: There are multiple backend instances specified:\n",
                           0, 0, 0);
                 for (i = 0; i < counter; i++)
-                    LDAPDebug(LDAP_DEBUG_ANY, "     : %s\n",
+                    LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "     : %s\n",
                               instances[i], 0, 0);
                 return 1;
             } else {
-                LDAPDebug(LDAP_DEBUG_ANY, "Backend Instance: %s\n",
+                LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "Backend Instance: %s\n",
                           *instances, 0, 0);
                 cmd_line_instance_name = *instances;
             }
         } else {
-            LDAPDebug(LDAP_DEBUG_ANY, 
+            LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, 
                       "ERROR 2: There is no backend instance to import to.\n",
                       0, 0, 0);
             return 1;
@@ -2414,7 +2414,7 @@ static int slapd_exemode_db2index(void)
 
     plugin = lookup_plugin_by_instance_name(cmd_line_instance_name);
     if (plugin == NULL) {
-        LDAPDebug(LDAP_DEBUG_ANY, 
+        LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, 
                   "ERROR: Could not find backend '%s'.\n",
                   cmd_line_instance_name, 0, 0);
         return 1;
@@ -2423,7 +2423,7 @@ static int slapd_exemode_db2index(void)
     /* make sure nothing else is running */
     if (add_new_slapd_process(slapd_exemode, db2ldif_dump_replica,
                               skip_db_protect_check) == -1) {
-        LDAPDebug(LDAP_DEBUG_ANY,
+        LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
                   "Shutting down due to possible conflicts with other "
                   "slapd processes.\n", 0, 0, 0);
         return 1;
@@ -2456,13 +2456,13 @@ slapd_exemode_db2archive(void)
 	slapdFrontendConfig_t *slapdFrontendConfig = getFrontendConfig();
 	
 	if ((backend_plugin = plugin_get_by_name("ldbm database")) == NULL) {
-		LDAPDebug(LDAP_DEBUG_ANY, 
+		LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, 
 			"ERROR: Could not find the ldbm backend plugin.\n",
 			0, 0, 0);
 		return 1;
 	}
 	if (NULL == archive_name) {
-		LDAPDebug( LDAP_DEBUG_ANY,
+		LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
 		    "ERROR: no archive directory supplied\n",
 		    0, 0, 0 );
 		return 1;
@@ -2474,13 +2474,13 @@ slapd_exemode_db2archive(void)
 	 */
 	if ( add_new_slapd_process(slapd_exemode, db2ldif_dump_replica,
 	                           skip_db_protect_check) == -1 )  {
-	    LDAPDebug( LDAP_DEBUG_ANY, 
+	    LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, 
 		       "Shutting down due to possible conflicts with other slapd processes\n",
 		       0, 0, 0 );
 	    return 1;
 	}
 	if (compute_init()) {
-		LDAPDebug(LDAP_DEBUG_ANY, "Initialization Failed 0 %d\n",return_value,0,0);
+		LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "Initialization Failed 0 %d\n",return_value,0,0);
 		return 1;
 	}
 	if (!is_quiet) {
@@ -2510,13 +2510,13 @@ slapd_exemode_archive2db(void)
 	slapdFrontendConfig_t *slapdFrontendConfig = getFrontendConfig();
 	
 	if ((backend_plugin = plugin_get_by_name("ldbm database")) == NULL) {
-		LDAPDebug(LDAP_DEBUG_ANY, 
+		LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, 
 			"ERROR: Could not find the ldbm backend plugin.\n",
 			0, 0, 0);
 		return 1;
 	}
 	if (NULL == archive_name) {
-		LDAPDebug( LDAP_DEBUG_ANY,
+		LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
 		    "ERROR: no archive directory supplied\n",
 		    0, 0, 0 );
 		return 1;
@@ -2528,13 +2528,13 @@ slapd_exemode_archive2db(void)
 	 */
 	if ( add_new_slapd_process(slapd_exemode, db2ldif_dump_replica,
 	                           skip_db_protect_check) == -1 )  {
-	    LDAPDebug( LDAP_DEBUG_ANY, 
+	    LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, 
 		       "Shutting down due to possible conflicts with other slapd processes\n",
 		       0, 0, 0 );
 	    return 1;
 	}
 	if (compute_init()) {
-		LDAPDebug(LDAP_DEBUG_ANY, "Initialization Failed 0 %d\n",return_value,0,0);
+		LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "Initialization Failed 0 %d\n",return_value,0,0);
 		return 1;
 	}
 
@@ -2569,7 +2569,7 @@ slapd_exemode_upgradedb(void)
     slapdFrontendConfig_t *slapdFrontendConfig = getFrontendConfig();
 
     if ( archive_name == NULL ) {
-        LDAPDebug( LDAP_DEBUG_ANY,
+        LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
                    "ERROR: Required argument -a <backup_dir> missing\n",
                    0, 0, 0 );
         usage( myname, extraname );
@@ -2582,7 +2582,7 @@ slapd_exemode_upgradedb(void)
     mapping_tree_init();
 
     if ((backend_plugin = plugin_get_by_name("ldbm database")) == NULL) {
-        LDAPDebug(LDAP_DEBUG_ANY, 
+        LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, 
             "ERROR: Could not find the ldbm backend plugin.\n",
             0, 0, 0);
         return 1;
@@ -2593,14 +2593,14 @@ slapd_exemode_upgradedb(void)
      * slapd processes that are currently running
      */
     if (add_new_slapd_process(slapd_exemode, 0, skip_db_protect_check) == -1) {
-        LDAPDebug( LDAP_DEBUG_ANY, 
+        LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, 
                    "Shutting down due to possible conflicts with other slapd processes\n",
                    0, 0, 0 );
         return 1;
     }
     /* check for slapi v2 support */
     if (! SLAPI_PLUGIN_IS_V2(backend_plugin)) {
-        LDAPDebug(LDAP_DEBUG_ANY, "ERROR: %s is too old to do convert idl.\n",
+        LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "ERROR: %s is too old to do convert idl.\n",
                   backend_plugin->plg_name, 0, 0);
         return 1;
     }
@@ -2620,7 +2620,7 @@ slapd_exemode_upgradedb(void)
     if ( backend_plugin->plg_upgradedb != NULL ) {
         return_value = (*backend_plugin->plg_upgradedb)( &pb );
     } else {
-        LDAPDebug( LDAP_DEBUG_ANY,
+        LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
                    "ERROR: no upgradedb function defined for "
                    "%s\n", backend_plugin->plg_name, 0, 0 );
         return_value = -1;
@@ -2695,7 +2695,7 @@ slapd_exemode_upgradednformat(void)
     if ( backend_plugin->plg_upgradednformat != NULL ) {
         rc  = (*backend_plugin->plg_upgradednformat)( &pb );
     } else {
-        LDAPDebug( LDAP_DEBUG_ANY,
+        LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
                    "ERROR: no upgradednformat function defined for "
                    "%s\n", backend_plugin->plg_name, 0, 0 );
     }
@@ -2719,7 +2719,7 @@ slapd_exemode_dbverify(void)
      */
     mapping_tree_init();
     if ((backend_plugin = plugin_get_by_name("ldbm database")) == NULL) {
-        LDAPDebug(LDAP_DEBUG_ANY, 
+        LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, 
             "ERROR: Could not find the ldbm backend plugin.\n",
             0, 0, 0);
         return 1;
@@ -2727,7 +2727,7 @@ slapd_exemode_dbverify(void)
 
     /* check for slapi v2 support */
     if (! SLAPI_PLUGIN_IS_V2(backend_plugin)) {
-        LDAPDebug(LDAP_DEBUG_ANY, "ERROR: %s is too old to do dbverify.\n",
+        LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "ERROR: %s is too old to do dbverify.\n",
                   backend_plugin->plg_name, 0, 0);
         return 1;
     }
@@ -2743,7 +2743,7 @@ slapd_exemode_dbverify(void)
     if ( backend_plugin->plg_dbverify != NULL ) {
         return_value = (*backend_plugin->plg_dbverify)( &pb );
     } else {
-        LDAPDebug( LDAP_DEBUG_ANY,
+        LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
                    "ERROR: no db verify function defined for "
                    "%s\n", backend_plugin->plg_name, 0, 0 );
         return_value = -1;
